Bug 585801 - KMS:HD 2400 poweroff on resume
Summary: KMS:HD 2400 poweroff on resume
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-26 05:32 UTC by Milan Kerslager
Modified: 2011-06-27 15:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:52:46 UTC
Type: ---


Attachments (Terms of Use)
lspci -vnn (12.10 KB, text/plain)
2010-05-27 10:04 UTC, Milan Kerslager
no flags Details
Xorg.0.log (76.16 KB, text/plain)
2010-05-27 10:05 UTC, Milan Kerslager
no flags Details

Description Milan Kerslager 2010-04-26 05:32:39 UTC
After latest update (in previous week), my system periodiacally freezes. The backtrace is below. Now I have these components installed:

kernel-2.6.33.2-57.fc13.x86_64
libdrm-2.4.20-1.fc13.x86_64
mesa-dri-drivers-7.8.1-2.fc13.x86_64
mesa-libGLU-7.8.1-2.fc13.x86_64
mesa-libGL-7.8.1-2.fc13.x86_64
xorg-x11-drv-ati-6.13.0-1.fc13.x86_64

The backtrace:

INFO: task Xorg:1571 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg          D 0000000000000000  3616  1571   1568 0x00400084
 ffff8800b7edfbc8 0000000000000046 0000000000000000 0000000000000246
 ffff88008d6d3c98 0000000000000002 ffff880037d00000 ffff8800b7edffd8
 ffff8800b7edffd8 000000000000fb80 00000000001d5e80 ffff880037d003f8
Call Trace:
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479150>] __mutex_lock_common+0x24e/0x392
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479358>] mutex_lock_nested+0x3e/0x43
 [<ffffffffa00ac3ef>] radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff810f2e20>] ? might_fault+0x5c/0xac
 [<ffffffff8147ae20>] ? _lock_kernel+0x7d/0x95
 [<ffffffffa0019418>] drm_ioctl+0x28f/0x373 [drm]
 [<ffffffffa00ac3b8>] ? radeon_cs_ioctl+0x0/0x1a0 [radeon]
 [<ffffffff81237189>] ? debug_object_deactivate+0x9c/0xcf
 [<ffffffff81070022>] ? lock_hrtimer_base+0x2a/0x50
 [<ffffffff8112d108>] vfs_ioctl+0x32/0xa6
 [<ffffffff8112d688>] do_vfs_ioctl+0x490/0x4d6
 [<ffffffff8112d724>] sys_ioctl+0x56/0x79
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
INFO: lockdep is turned off.
INFO: task Xorg:1571 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg          D 0000000000000000  3616  1571   1568 0x00400084
 ffff8800b7edfbc8 0000000000000046 0000000000000000 0000000000000246
 ffff88008d6d3c98 0000000000000002 ffff880037d00000 ffff8800b7edffd8
 ffff8800b7edffd8 000000000000fb80 00000000001d5e80 ffff880037d003f8
Call Trace:
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479150>] __mutex_lock_common+0x24e/0x392
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479358>] mutex_lock_nested+0x3e/0x43
 [<ffffffffa00ac3ef>] radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff810f2e20>] ? might_fault+0x5c/0xac
 [<ffffffff8147ae20>] ? _lock_kernel+0x7d/0x95
 [<ffffffffa0019418>] drm_ioctl+0x28f/0x373 [drm]
 [<ffffffffa00ac3b8>] ? radeon_cs_ioctl+0x0/0x1a0 [radeon]
 [<ffffffff81237189>] ? debug_object_deactivate+0x9c/0xcf
 [<ffffffff81070022>] ? lock_hrtimer_base+0x2a/0x50
 [<ffffffff8112d108>] vfs_ioctl+0x32/0xa6
 [<ffffffff8112d688>] do_vfs_ioctl+0x490/0x4d6
 [<ffffffff8112d724>] sys_ioctl+0x56/0x79
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
INFO: lockdep is turned off.
INFO: task Xorg:1571 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg          D 0000000000000000  3616  1571   1568 0x00400084
 ffff8800b7edfbc8 0000000000000046 0000000000000000 0000000000000246
 ffff88008d6d3c98 0000000000000002 ffff880037d00000 ffff8800b7edffd8
 ffff8800b7edffd8 000000000000fb80 00000000001d5e80 ffff880037d003f8
Call Trace:
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479150>] __mutex_lock_common+0x24e/0x392
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479358>] mutex_lock_nested+0x3e/0x43
 [<ffffffffa00ac3ef>] radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff810f2e20>] ? might_fault+0x5c/0xac
 [<ffffffff8147ae20>] ? _lock_kernel+0x7d/0x95
 [<ffffffffa0019418>] drm_ioctl+0x28f/0x373 [drm]
 [<ffffffffa00ac3b8>] ? radeon_cs_ioctl+0x0/0x1a0 [radeon]
 [<ffffffff81237189>] ? debug_object_deactivate+0x9c/0xcf
 [<ffffffff81070022>] ? lock_hrtimer_base+0x2a/0x50
 [<ffffffff8112d108>] vfs_ioctl+0x32/0xa6
 [<ffffffff8112d688>] do_vfs_ioctl+0x490/0x4d6
 [<ffffffff8112d724>] sys_ioctl+0x56/0x79
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
INFO: lockdep is turned off.
INFO: task Xorg:1571 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg          D 0000000000000000  3616  1571   1568 0x00400084
 ffff8800b7edfbc8 0000000000000046 0000000000000000 0000000000000246
 ffff88008d6d3c98 0000000000000002 ffff880037d00000 ffff8800b7edffd8
 ffff8800b7edffd8 000000000000fb80 00000000001d5e80 ffff880037d003f8
Call Trace:
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479150>] __mutex_lock_common+0x24e/0x392
 [<ffffffffa00ac3ef>] ? radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff81479358>] mutex_lock_nested+0x3e/0x43
 [<ffffffffa00ac3ef>] radeon_cs_ioctl+0x37/0x1a0 [radeon]
 [<ffffffff810f2e20>] ? might_fault+0x5c/0xac
 [<ffffffff8147ae20>] ? _lock_kernel+0x7d/0x95
 [<ffffffffa0019418>] drm_ioctl+0x28f/0x373 [drm]
 [<ffffffffa00ac3b8>] ? radeon_cs_ioctl+0x0/0x1a0 [radeon]
 [<ffffffff81237189>] ? debug_object_deactivate+0x9c/0xcf
 [<ffffffff81070022>] ? lock_hrtimer_base+0x2a/0x50
 [<ffffffff8112d108>] vfs_ioctl+0x32/0xa6
 [<ffffffff8112d688>] do_vfs_ioctl+0x490/0x4d6
 [<ffffffff8112d724>] sys_ioctl+0x56/0x79
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b

Comment 1 Vedran Miletić 2010-05-24 19:57:34 UTC
Reporter, please provide your Xorg.0.log, dmesg and lspci -vnn. Thank you.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Comment 2 Milan Kerslager 2010-05-27 09:41:03 UTC
After some updates from F13, the system works.

Hovewer, the suspend-to-RAM does not work at all. Nothing special in my log. If I press a key, the system wakes up, but poweroff itself just after backlight has been powered on. After second or third try, the system boots from the beginning.

Comment 3 Milan Kerslager 2010-05-27 10:04:08 UTC
Created attachment 417178 [details]
lspci -vnn

Comment 4 Milan Kerslager 2010-05-27 10:05:20 UTC
Created attachment 417179 [details]
Xorg.0.log

Comment 5 Bug Zapper 2011-06-02 14:51:54 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-27 15:52:46 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.